package cam.visuals.contours;
import java.awt.*;

public class ContourResolutionDialog extends Dialog {
    

	void OKbutton_Clicked(java.awt.event.ActionEvent event)
	{
	    setResolution(resolutionScrollbar.getValue());
        Client.dialogDismissed(this);
		hide();
	}

	void ApplyButton_Clicked(java.awt.event.ActionEvent event)
	{
	    setResolution(resolutionScrollbar.getValue());
        Client.dialogDismissed(this);
	}


	public ContourResolutionDialog(Frame parent, boolean modal) {

	    super(parent, modal);

		//{{INIT_CONTROLS
		setLayout(null);
		setVisible(false);
		setSize(172,271);
		OKbutton = new java.awt.Button();
		OKbutton.setLabel("OK");
		OKbutton.setBounds(88,120,48,29);
		add(OKbutton);
		ApplyButton = new java.awt.Button();
		ApplyButton.setLabel("Apply");
		ApplyButton.setBounds(88,64,48,29);
		add(ApplyButton);
		panelCountField = new java.awt.TextField();
		panelCountField.setEditable(false);
		panelCountField.setBounds(60,192,52,35);
		add(panelCountField);
		label2 = new java.awt.Label("# of panels");
		label2.setBounds(40,236,92,20);
		add(label2);
		resolutionScrollbar = new java.awt.Scrollbar(Scrollbar.VERTICAL,5,10,0,210);
		resolutionScrollbar.setBounds(32,28,20,152);
		add(resolutionScrollbar);
		setTitle("Contour Resolution");
		//}}
		Client = null;
	
		//{{REGISTER_LISTENERS
		SymAction lSymAction = new SymAction();
		OKbutton.addActionListener(lSymAction);
		ApplyButton.addActionListener(lSymAction);
		SymAdjustment lSymAdjustment = new SymAdjustment();
		resolutionScrollbar.addAdjustmentListener(lSymAdjustment);
		SymWindow aSymWindow = new SymWindow();
		this.addWindowListener(aSymWindow);
		//}}
	}

    public ContourResolutionDialog(Frame parent, ColorContourPlot client, boolean modal)
	{
	    this(parent, modal);
	    Client = client;
	}

    public synchronized void show() {
    	Rectangle bounds = getParent().bounds();
    	Rectangle abounds = bounds();

    	move(bounds.x + (bounds.width - abounds.width)/ 2,
    	     bounds.y + (bounds.height - abounds.height)/2);

    	super.show();
    }
 
	//{{DECLARE_CONTROLS
	java.awt.Button OKbutton;
	java.awt.Button ApplyButton;
	java.awt.TextField panelCountField;
	java.awt.Label label2;
	java.awt.Scrollbar resolutionScrollbar;
	//}}

	public void setResolution(int panelCount)
	{
	    xPanelCount = panelCount;
	    yPanelCount = panelCount;
	    panelCountField.setText(String.valueOf(panelCount));
	    resolutionScrollbar.setValue(panelCount);
	}

	public void captureResolution()
	{
	   xPanelCount = (new Integer(panelCountField.getText())).intValue();
	   yPanelCount = (new Integer(panelCountField.getText())).intValue();
	}

    public int  getResolution()
	{
	   captureResolution();
	   return xPanelCount;
	}


	int xPanelCount;
	int yPanelCount;

	ColorContourPlot Client;

	class SymAction implements java.awt.event.ActionListener
	{
		public void actionPerformed(java.awt.event.ActionEvent event)
		{
			Object object = event.getSource();
			if (object == OKbutton)
				OKbutton_Clicked(event);
			else if (object == ApplyButton)
				ApplyButton_Clicked(event);
		}
	}


	class SymAdjustment implements java.awt.event.AdjustmentListener
	{
		public void adjustmentValueChanged(java.awt.event.AdjustmentEvent event)
		{
			Object object = event.getSource();
			if (object == resolutionScrollbar)
				resolutionScrollbar_AdjustmentValueChanged(event);
		}
	}

	void resolutionScrollbar_AdjustmentValueChanged(java.awt.event.AdjustmentEvent event)
	{
		// to do: code goes here.
			 
		//{{CONNECTION
		panelCountField.setText(String.valueOf(resolutionScrollbar.getValue()));
		setResolution(resolutionScrollbar.getValue());
		//}}
	}





	class SymWindow extends java.awt.event.WindowAdapter
	{
		public void windowClosing(java.awt.event.WindowEvent event)
		{
			Object object = event.getSource();
			if (object == ContourResolutionDialog.this)
				ContourResolutionDialog_WindowClosing(event);
		}
	}

	void ContourResolutionDialog_WindowClosing(java.awt.event.WindowEvent event)
	{
		// to do: code goes here.
			 
		//{{CONNECTION
        Client.dialogDismissed(this);
		hide();
		//}}
	}
}
